Messages
{
"type": "<string>",
"model_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"enable_timestamps": true,
"enable_llm_transform": true,
"llm_prompt": "<string>",
"llm_model_id": "<string>",
"llm_max_tokens": 123,
"llm_mode": "<string>",
"llm_post_flush": true,
"llm_post_flush_prompt": "<string>"
}{
"type": "<string>",
"data": "<string>"
}{
"type": "<string>",
"command": "<string>"
}{
"type": "<string>",
"request_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"enable_timestamps": true
}{
"type": "<string>",
"request_id": "<string>",
"segment_id": "<string>",
"text": "<string>",
"is_final": true,
"language": "<string>",
"confidence": 123,
"offset": 123,
"duration": 123,
"words": {
"word": "<string>",
"offset": 123,
"duration": 123,
"confidence": 123
}
}{
"type": "<string>",
"request_id": "<string>",
"segment_id": "<string>",
"delta": "<string>",
"is_final": true
}{
"type": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Websockets
STT Realtime
WebSocket Real-time Speech-to-Text Channel
Through this channel, clients can:
- Send initialization messages to configure recognition parameters
- Send audio data streams for real-time speech recognition
- Send command messages to control recognition flow
- Receive recognition results (partial and final results)
Connection:
- Authentication via header:
X-Api-Key: YOUR_API_KEY - Authentication via query:
?token=YOUR_API_KEY
Message Format:
All messages are in JSON format, containing a type field to identify the message type
WSS
/
v1
/
stt
/
realtime
Messages
{
"type": "<string>",
"model_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"enable_timestamps": true,
"enable_llm_transform": true,
"llm_prompt": "<string>",
"llm_model_id": "<string>",
"llm_max_tokens": 123,
"llm_mode": "<string>",
"llm_post_flush": true,
"llm_post_flush_prompt": "<string>"
}{
"type": "<string>",
"data": "<string>"
}{
"type": "<string>",
"command": "<string>"
}{
"type": "<string>",
"request_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"enable_timestamps": true
}{
"type": "<string>",
"request_id": "<string>",
"segment_id": "<string>",
"text": "<string>",
"is_final": true,
"language": "<string>",
"confidence": 123,
"offset": 123,
"duration": 123,
"words": {
"word": "<string>",
"offset": 123,
"duration": 123,
"confidence": 123
}
}{
"type": "<string>",
"request_id": "<string>",
"segment_id": "<string>",
"delta": "<string>",
"is_final": true
}{
"type": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}token
type:httpApiKey
API Key passed as query parameter, e.g. ?token=YOUR_API_KEY
STT Initialization Message
type:object
STT Audio Message
type:object
STT Command Message
type:object
STT Ready Message
type:object
STT Transcript Message
type:object
STT LLM Transform Message
type:object
STT Flush Done Message
type:object
STT Error Message
type:object

